﻿using System.Linq;
using System.Windows;
using System.Windows.Media;
namespace ListItems
{
    public partial class MainWindow : Window
    {
        public MainWindow()
        {
            InitializeComponent();
            var ColorList = from c in typeof(Colors).GetProperties() select new ColorItem { Name = c.Name, Color = (Color)c.GetValue(null, null) };
            listColors.ItemsSource = ColorList;
        }
    }

    public class ColorItem
    {
        public string Name;// { get; set; }
        public Color Color;// { get; set; }
        public Brush Brush
        {
            get { return new SolidColorBrush(Color); }
        }
    }
}
